Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing.plaf
Class WindowsBorderlessTabbedPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TabbedPaneUI
              javax.swing.plaf.basic.BasicTabbedPaneUI
                  com.sun.java.swing.plaf.windows.WindowsTabbedPaneUI
                      org.crosswire.common.swing.plaf.WindowsBorderlessTabbedPaneUI

All Implemented Interfaces:
  SwingConstants

    public class WindowsBorderlessTabbedPaneUI

extends com.sun.java.swing.plaf.windows.WindowsTabbedPaneUI

Provides customization to WindowsLF Tabbed panes.

Author:
  Willie Thean [williethean at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`BasicTabbedPaneUI.FocusHandler, BasicTabbedPaneUI.MouseHandler, BasicTabbedPaneUI.PropertyChangeHandler, BasicTabbedPaneUI.TabbedPaneLayout, BasicTabbedPaneUI.TabSelectionHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`calcRect, contentBorderInsets, darkShadow, downKey, focus, focusListener, highlight, leftKey, lightHighlight, maxTabHeight, maxTabWidth, mouseListener, propertyChangeListener, rects, rightKey, runCount, selectedRun, selectedTabPadInsets, shadow, tabAreaInsets, tabChangeListener, tabInsets, tabPane, tabRunOverlay, tabRuns, textIconGap, upKey`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`WindowsBorderlessTabbedPaneUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`protected Insets` | `getContentBorderInsets(int tabPlacement)` Return the content border insets based on `tabPlacement`.

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsTabbedPaneUI
`installDefaults, paintContentBorder, paintTabBackground, paintTabBorder, setRolloverTab, uninstallDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`assureRectsCreated, calculateMaxTabHeight, calculateMaxTabWidth, calculateTabAreaHeight, calculateTabAreaWidth, calculateTabHeight, calculateTabWidth, createChangeListener, createFocusListener, createLayoutManager, createMouseListener, createPropertyChangeListener, createScrollButton, expandTabRunsArray, getBaseline, getBaseline, getBaselineOffset, getBaselineResizeBehavior, getFocusIndex, getFontMetrics, getIconForTab, getMaximumSize, getMinimumSize, getNextTabIndex, getNextTabIndexInRun, getNextTabRun, getPreviousTabIndex, getPreviousTabIndexInRun, getPreviousTabRun, getRolloverTab, getRunForTab, getSelectedTabPadInsets, getTabAreaInsets, getTabBounds, getTabBounds, getTabInsets, getTabLabelShiftX, getTabLabelShiftY, getTabRunCount, getTabRunIndent, getTabRunOffset, getTabRunOverlay, getTextViewForTab, getVisibleComponent, installComponents, installKeyboardActions, installListeners, installUI, lastTabInRun, layoutLabel, navigateSelectedTab, paint, paintContentBorderBottomEdge, paintContentBorderLeftEdge, paintContentBorderRightEdge, paintContentBorderTopEdge, paintFocusIndicator, paintIcon, paintTab, paintTabArea, paintText, rotateInsets, selectAdjacentRunTab, selectNextTab, selectNextTabInRun, selectPreviousTab, selectPreviousTabInRun, setVisibleComponent, shouldPadTabRun, shouldRotateTabRuns, tabForCoordinate, uninstallComponents, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsBorderlessTabbedPaneUI

    public WindowsBorderlessTabbedPaneUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### getContentBorderInsets

    protected Insets getContentBorderInsets(int tabPlacement)

  Return the content border insets based on `tabPlacement`. E.g. `tabPlacement` = SwingConstants.TOP returns new Insets(1, 0, 0, 0) `tabPlacement` = SwingConstants.RIGHT returns new Insets(0, 0, 0, 1)

  Overrides:
    `getContentBorderInsets` in class `BasicTabbedPaneUI`
  Parameters:
    `tabPlacement` - tab placement of the tabbed pane
  Returns:
    an Inset instance based on `tabPlacement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD